﻿@using Microsoft.AspNet.Identity
@using InternetShopWebProject.CookiesManager

<ul class="nav navbar-nav navbar-right">
  @if (Request.IsAuthenticated)
  {
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "nav navbar-nav navbar-right" }))
    {
      @Html.AntiForgeryToken()
      <li>
        @Html.ActionLink(User.Identity.GetUserName(), "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage", @class = "nav-link" })
      </li>
      <li class="nav-item"><a class="nav-link" href="javascript:document.getElementById('logoutForm').submit()">Log off</a></li>
    }
  }
  else
  {
    <li class="nav-item">@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { @class = "nav-link" })</li>
    <li class="nav-item">@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { @class = "nav-link" })</li>
  }
  <li class="nav-item">
    <a style="height:40px" href="@Url.Action("Index", "ShoppingBag")">
      <img style="height:inherit" src="~/Content/Image/34568.png" />
      @ShoppingCart.Products.Count
    </a>
  </li>
</ul>
